# Strategy

## Get Strategies

> Get a list of all strategies.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"Strategies":{"title":"Strategies","type":"object","description":"List of strategies returned.","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Strategy"}},"pagination":{"$ref":"#/components/schemas/Pagination"}}},"Strategy":{"type":"object","properties":{"strategyId":{"type":"string","format":"uuid","description":"Identifier of the strategy."},"subscribersCount":{"type":"number","description":"The number of customer products that are subscribed to the strategy."},"createdOn":{"type":"string","format":"date-time","description":"When this strategy was created."},"modifiedOn":{"type":"string","format":"date-time","description":"When was this strategy last updated."},"status":{"$ref":"#/components/schemas/StrategyStatusEnum"},"subscribers":{"type":"array","items":{"$ref":"#/components/schemas/StrategySubscriber"}},"name":{"type":"string","description":"Name of the strategy.","maxLength":255},"code":{"type":"string","description":"Code of the strategy.","maxLength":5},"description":{"type":"string","description":"Description of the strategy.","maxLength":2000},"type":{"$ref":"#/components/schemas/StrategyTypeEnum"},"automation":{"type":"boolean","description":"Indicates whether a strategy is rebalanced automatically or not."},"automatedInvesting":{"type":"boolean","description":"Indicates whether the automated investing is applied to the strategy. Is required in case automation = true."},"executionStartDate":{"type":"string","format":"date","description":"The date when the strategy is activated. This is only required in case **automation** is set to true."},"executionEndDate":{"type":"string","format":"date","description":"The date when performing of the strategy is stopped. This is only required in case **automation** is set to true."},"executionFrequency":{"$ref":"#/components/schemas/StrategyExecutionFrequencyEnum"},"minOrderAmount":{"type":"number","minimum":1,"description":"The minimum order amount per asset of the strategy."},"orderDisaggregated":{"type":"boolean","description":"Indicates whether the orders of all subscribed strategy customer products should be sent separately or aggregated to the exchange."},"minInvestingAmount":{"type":"number","minimum":1,"description":"A cash amount to invest from a settlement account. When cash is deposited into a settlement account, and the deposited cash amount is >= minInvestingAmount, then instant rebalancing and execution are applied."},"minInvestingAmountCurrency":{"title":"CurrencyEurEnum","enum":["EUR"],"description":"Currency code in ISO 4217. Required if automatedInvesting is true."},"strategyAssets":{"type":"array","description":"A list of assets that are part of the strategy.","minItems":1,"items":{"$ref":"#/components/schemas/StrategyAsset"}},"cashWeights":{"type":"array","description":"A list of cash weights by currency in the strategy.","items":{"$ref":"#/components/schemas/StrategyCashWeight"}}},"required":["automation","code","createdOn","modifiedOn","name","status","strategyAssets","strategyId","subscribersCount","type"],"title":"Strategy","description":"Single strategy model."},"StrategyStatusEnum":{"title":"StrategyStatusEnum","enum":["EXECUTING","PENDING","EXPIRED","RECEIVED","INVALID","DELETED","REJECTED"],"description":"The current status of the strategy."},"StrategySubscriber":{"title":"StrategySubscriber","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"},"subscriberId":{"type":"string","format":"uuid","description":"Identifier of the strategy subscriber."}},"required":["customerId","subscriberId"]},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]},"StrategyTypeEnum":{"title":"StrategyTypeEnum","enum":["TOKENIZED","TRADITIONAL"],"description":"Type of the strategy."},"StrategyExecutionFrequencyEnum":{"title":"StrategyExecutionFrequencyEnum","enum":["BI_WEEKLY","MONTHLY","QUARTERLY","SEMI_ANNUALLY","ANNUALLY"],"description":"Indicates how often the strategy is rebalanced automatically."},"StrategyAsset":{"title":"StrategyAsset","type":"object","description":"Model representing an asset weight in a strategy.","properties":{"weight":{"type":"number","description":"Shows the percentage allocation in the strategy for the asset.","minimum":1,"maximum":100},"isin":{"type":"string","description":"International Securities Identification Number. It is the global ISO standard for unique identification of financial and referential instruments.","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"cryptoSymbol":{"type":"string"}},"required":["weight"]},"StrategyCashWeight":{"title":"StrategyCashWeight","description":"Model representing an cash weight in a strategy.","type":"object","properties":{"cashWeight":{"type":"number","description":"Shows the percentage allocation in the strategy for cash.","minimum":1,"maximum":100},"cashCurrency":{"title":"CurrencyEnum","type":"string","description":"Currency code in ISO 4217.","enum":["EUR"]}},"required":["cashWeight","cashCurrency"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/strategies":{"get":{"summary":"Get Strategies","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Strategies"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"get-strategies","description":"Get a list of all strategies.","tags":["Strategies"],"parameters":[{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true}]}}}}
```

## Create strategy

> Create a strategy

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"StrategyResult":{"title":"StrategyResult","type":"object","description":"The result of creating a strategy.","properties":{"strategyId":{"type":"string","format":"uuid","description":"The UUID of the newly created strategy."},"status":{"$ref":"#/components/schemas/StrategyStatusEnum"}},"required":["strategyId","status"]},"StrategyStatusEnum":{"title":"StrategyStatusEnum","enum":["EXECUTING","PENDING","EXPIRED","RECEIVED","INVALID","DELETED","REJECTED"],"description":"The current status of the strategy."},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StrategyData":{"title":"StrategyData","type":"object","description":"Single strategy model for creation.","required":["name","code","type","strategyAssets","automation"],"properties":{"name":{"type":"string","description":"Name of the strategy.","maxLength":255},"code":{"type":"string","description":"Code of the strategy.","maxLength":5},"description":{"type":"string","description":"Description of the strategy.","maxLength":2000},"type":{"$ref":"#/components/schemas/StrategyTypeEnum"},"automation":{"type":"boolean","description":"Indicates whether a strategy is rebalanced automatically or not."},"automatedInvesting":{"type":"boolean","description":"Indicates whether the automated investing is applied to the strategy. Is required in case automation = true."},"executionStartDate":{"type":"string","format":"date","description":"The date when the strategy is activated. This is only required in case **automation** is set to true."},"executionEndDate":{"type":"string","format":"date","description":"The date when performing of the strategy is stopped. This is only required in case **automation** is set to true."},"executionFrequency":{"$ref":"#/components/schemas/StrategyExecutionFrequencyEnum"},"minOrderAmount":{"type":"number","minimum":1,"description":"The minimum order amount per asset of the strategy."},"orderDisaggregated":{"type":"boolean","description":"Indicates whether the orders of all subscribed strategy customer products should be sent separately or aggregated to the exchange."},"minInvestingAmount":{"type":"number","minimum":1,"description":"A cash amount to invest from a settlement account. When cash is deposited into a settlement account, and the deposited cash amount is >= minInvestingAmount, then instant rebalancing and execution are applied."},"minInvestingAmountCurrency":{"title":"CurrencyEurEnum","enum":["EUR"],"description":"Currency code in ISO 4217. Required if automatedInvesting is true."},"strategyAssets":{"type":"array","description":"A list of assets that are part of the strategy.","minItems":1,"items":{"$ref":"#/components/schemas/StrategyAsset"}},"cashWeights":{"type":"array","description":"A list of cash weights by currency in the strategy.","items":{"$ref":"#/components/schemas/StrategyCashWeight"}}}},"StrategyTypeEnum":{"title":"StrategyTypeEnum","enum":["TOKENIZED","TRADITIONAL"],"description":"Type of the strategy."},"StrategyExecutionFrequencyEnum":{"title":"StrategyExecutionFrequencyEnum","enum":["BI_WEEKLY","MONTHLY","QUARTERLY","SEMI_ANNUALLY","ANNUALLY"],"description":"Indicates how often the strategy is rebalanced automatically."},"StrategyAsset":{"title":"StrategyAsset","type":"object","description":"Model representing an asset weight in a strategy.","properties":{"weight":{"type":"number","description":"Shows the percentage allocation in the strategy for the asset.","minimum":1,"maximum":100},"isin":{"type":"string","description":"International Securities Identification Number. It is the global ISO standard for unique identification of financial and referential instruments.","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"cryptoSymbol":{"type":"string"}},"required":["weight"]},"StrategyCashWeight":{"title":"StrategyCashWeight","description":"Model representing an cash weight in a strategy.","type":"object","properties":{"cashWeight":{"type":"number","description":"Shows the percentage allocation in the strategy for cash.","minimum":1,"maximum":100},"cashCurrency":{"title":"CurrencyEnum","type":"string","description":"Currency code in ISO 4217.","enum":["EUR"]}},"required":["cashWeight","cashCurrency"]}}},"paths":{"/strategies":{"post":{"summary":"Create strategy","operationId":"create-strategy","tags":["Strategies"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategyResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Create a strategy","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategyData"}}}}}}}}
```

## Get Strategy by customer product ID

> Find which strategy is assigned to the given customer product ID.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"Strategy":{"type":"object","properties":{"strategyId":{"type":"string","format":"uuid","description":"Identifier of the strategy."},"subscribersCount":{"type":"number","description":"The number of customer products that are subscribed to the strategy."},"createdOn":{"type":"string","format":"date-time","description":"When this strategy was created."},"modifiedOn":{"type":"string","format":"date-time","description":"When was this strategy last updated."},"status":{"$ref":"#/components/schemas/StrategyStatusEnum"},"subscribers":{"type":"array","items":{"$ref":"#/components/schemas/StrategySubscriber"}},"name":{"type":"string","description":"Name of the strategy.","maxLength":255},"code":{"type":"string","description":"Code of the strategy.","maxLength":5},"description":{"type":"string","description":"Description of the strategy.","maxLength":2000},"type":{"$ref":"#/components/schemas/StrategyTypeEnum"},"automation":{"type":"boolean","description":"Indicates whether a strategy is rebalanced automatically or not."},"automatedInvesting":{"type":"boolean","description":"Indicates whether the automated investing is applied to the strategy. Is required in case automation = true."},"executionStartDate":{"type":"string","format":"date","description":"The date when the strategy is activated. This is only required in case **automation** is set to true."},"executionEndDate":{"type":"string","format":"date","description":"The date when performing of the strategy is stopped. This is only required in case **automation** is set to true."},"executionFrequency":{"$ref":"#/components/schemas/StrategyExecutionFrequencyEnum"},"minOrderAmount":{"type":"number","minimum":1,"description":"The minimum order amount per asset of the strategy."},"orderDisaggregated":{"type":"boolean","description":"Indicates whether the orders of all subscribed strategy customer products should be sent separately or aggregated to the exchange."},"minInvestingAmount":{"type":"number","minimum":1,"description":"A cash amount to invest from a settlement account. When cash is deposited into a settlement account, and the deposited cash amount is >= minInvestingAmount, then instant rebalancing and execution are applied."},"minInvestingAmountCurrency":{"title":"CurrencyEurEnum","enum":["EUR"],"description":"Currency code in ISO 4217. Required if automatedInvesting is true."},"strategyAssets":{"type":"array","description":"A list of assets that are part of the strategy.","minItems":1,"items":{"$ref":"#/components/schemas/StrategyAsset"}},"cashWeights":{"type":"array","description":"A list of cash weights by currency in the strategy.","items":{"$ref":"#/components/schemas/StrategyCashWeight"}}},"required":["automation","code","createdOn","modifiedOn","name","status","strategyAssets","strategyId","subscribersCount","type"],"title":"Strategy","description":"Single strategy model."},"StrategyStatusEnum":{"title":"StrategyStatusEnum","enum":["EXECUTING","PENDING","EXPIRED","RECEIVED","INVALID","DELETED","REJECTED"],"description":"The current status of the strategy."},"StrategySubscriber":{"title":"StrategySubscriber","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"},"subscriberId":{"type":"string","format":"uuid","description":"Identifier of the strategy subscriber."}},"required":["customerId","subscriberId"]},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]},"StrategyTypeEnum":{"title":"StrategyTypeEnum","enum":["TOKENIZED","TRADITIONAL"],"description":"Type of the strategy."},"StrategyExecutionFrequencyEnum":{"title":"StrategyExecutionFrequencyEnum","enum":["BI_WEEKLY","MONTHLY","QUARTERLY","SEMI_ANNUALLY","ANNUALLY"],"description":"Indicates how often the strategy is rebalanced automatically."},"StrategyAsset":{"title":"StrategyAsset","type":"object","description":"Model representing an asset weight in a strategy.","properties":{"weight":{"type":"number","description":"Shows the percentage allocation in the strategy for the asset.","minimum":1,"maximum":100},"isin":{"type":"string","description":"International Securities Identification Number. It is the global ISO standard for unique identification of financial and referential instruments.","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"cryptoSymbol":{"type":"string"}},"required":["weight"]},"StrategyCashWeight":{"title":"StrategyCashWeight","description":"Model representing an cash weight in a strategy.","type":"object","properties":{"cashWeight":{"type":"number","description":"Shows the percentage allocation in the strategy for cash.","minimum":1,"maximum":100},"cashCurrency":{"title":"CurrencyEnum","type":"string","description":"Currency code in ISO 4217.","enum":["EUR"]}},"required":["cashWeight","cashCurrency"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/products/{customerProductId}/strategies":{"get":{"summary":"Get Strategy by customer product ID","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Strategy"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"get-strategy-by-customerProductID","description":"Find which strategy is assigned to the given customer product ID.","tags":["Strategies"],"parameters":[]}}}}
```

## Get Strategy

> Get a strategy by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"Strategy":{"type":"object","properties":{"strategyId":{"type":"string","format":"uuid","description":"Identifier of the strategy."},"subscribersCount":{"type":"number","description":"The number of customer products that are subscribed to the strategy."},"createdOn":{"type":"string","format":"date-time","description":"When this strategy was created."},"modifiedOn":{"type":"string","format":"date-time","description":"When was this strategy last updated."},"status":{"$ref":"#/components/schemas/StrategyStatusEnum"},"subscribers":{"type":"array","items":{"$ref":"#/components/schemas/StrategySubscriber"}},"name":{"type":"string","description":"Name of the strategy.","maxLength":255},"code":{"type":"string","description":"Code of the strategy.","maxLength":5},"description":{"type":"string","description":"Description of the strategy.","maxLength":2000},"type":{"$ref":"#/components/schemas/StrategyTypeEnum"},"automation":{"type":"boolean","description":"Indicates whether a strategy is rebalanced automatically or not."},"automatedInvesting":{"type":"boolean","description":"Indicates whether the automated investing is applied to the strategy. Is required in case automation = true."},"executionStartDate":{"type":"string","format":"date","description":"The date when the strategy is activated. This is only required in case **automation** is set to true."},"executionEndDate":{"type":"string","format":"date","description":"The date when performing of the strategy is stopped. This is only required in case **automation** is set to true."},"executionFrequency":{"$ref":"#/components/schemas/StrategyExecutionFrequencyEnum"},"minOrderAmount":{"type":"number","minimum":1,"description":"The minimum order amount per asset of the strategy."},"orderDisaggregated":{"type":"boolean","description":"Indicates whether the orders of all subscribed strategy customer products should be sent separately or aggregated to the exchange."},"minInvestingAmount":{"type":"number","minimum":1,"description":"A cash amount to invest from a settlement account. When cash is deposited into a settlement account, and the deposited cash amount is >= minInvestingAmount, then instant rebalancing and execution are applied."},"minInvestingAmountCurrency":{"title":"CurrencyEurEnum","enum":["EUR"],"description":"Currency code in ISO 4217. Required if automatedInvesting is true."},"strategyAssets":{"type":"array","description":"A list of assets that are part of the strategy.","minItems":1,"items":{"$ref":"#/components/schemas/StrategyAsset"}},"cashWeights":{"type":"array","description":"A list of cash weights by currency in the strategy.","items":{"$ref":"#/components/schemas/StrategyCashWeight"}}},"required":["automation","code","createdOn","modifiedOn","name","status","strategyAssets","strategyId","subscribersCount","type"],"title":"Strategy","description":"Single strategy model."},"StrategyStatusEnum":{"title":"StrategyStatusEnum","enum":["EXECUTING","PENDING","EXPIRED","RECEIVED","INVALID","DELETED","REJECTED"],"description":"The current status of the strategy."},"StrategySubscriber":{"title":"StrategySubscriber","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"},"subscriberId":{"type":"string","format":"uuid","description":"Identifier of the strategy subscriber."}},"required":["customerId","subscriberId"]},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]},"StrategyTypeEnum":{"title":"StrategyTypeEnum","enum":["TOKENIZED","TRADITIONAL"],"description":"Type of the strategy."},"StrategyExecutionFrequencyEnum":{"title":"StrategyExecutionFrequencyEnum","enum":["BI_WEEKLY","MONTHLY","QUARTERLY","SEMI_ANNUALLY","ANNUALLY"],"description":"Indicates how often the strategy is rebalanced automatically."},"StrategyAsset":{"title":"StrategyAsset","type":"object","description":"Model representing an asset weight in a strategy.","properties":{"weight":{"type":"number","description":"Shows the percentage allocation in the strategy for the asset.","minimum":1,"maximum":100},"isin":{"type":"string","description":"International Securities Identification Number. It is the global ISO standard for unique identification of financial and referential instruments.","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"cryptoSymbol":{"type":"string"}},"required":["weight"]},"StrategyCashWeight":{"title":"StrategyCashWeight","description":"Model representing an cash weight in a strategy.","type":"object","properties":{"cashWeight":{"type":"number","description":"Shows the percentage allocation in the strategy for cash.","minimum":1,"maximum":100},"cashCurrency":{"title":"CurrencyEnum","type":"string","description":"Currency code in ISO 4217.","enum":["EUR"]}},"required":["cashWeight","cashCurrency"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/strategies/{strategyId}":{"get":{"summary":"Get Strategy","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Strategy"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"operationId":"get-strategy","description":"Get a strategy by its ID.","tags":["Strategies"],"parameters":[]}}}}
```

## Delete strategy

> Delete a strategy by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/strategies/{strategyId}":{"delete":{"summary":"Delete strategy","operationId":"delete-strategy","tags":["Strategies"],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Delete a strategy by its ID."}}}}
```

## Update strategy

> Update a strategy by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StrategyUpdate":{"title":"Strategy","type":"object","description":"Single strategy update model.","properties":{"name":{"type":"string","description":"Name of the strategy.","maxLength":255},"code":{"type":"string","description":"Code of the strategy.","maxLength":5},"description":{"type":"string","description":"Description of the strategy.","maxLength":2000},"type":{"$ref":"#/components/schemas/StrategyTypeEnum"},"automation":{"type":"boolean","description":"Indicates whether a strategy is rebalanced automatically or not."},"automatedInvesting":{"type":"boolean","description":"Indicates whether the automated investing is applied to the strategy. Is required in case automation = true."},"executionStartDate":{"type":"string","format":"date","description":"The date when the strategy is activated."},"executionEndDate":{"type":"string","format":"date","description":"The date when performing of the strategy is stopped."},"executionFrequency":{"$ref":"#/components/schemas/StrategyExecutionFrequencyEnum"},"minOrderAmount":{"type":"number","minimum":1,"description":"The minimum order amount per asset of the strategy."},"orderDisaggregated":{"type":"boolean","description":"Indicates whether the orders of all subscribed strategy customer products should be sent separately or aggregated to the exchange."},"minInvestingAmount":{"type":"number","minimum":1,"description":"A cash amount to invest from a settlement account. When cash is deposited into a settlement account, and the deposited cash amount is >= minInvestingAmount, then instant rebalancing and execution are applied."},"minInvestingAmountCurrency":{"$ref":"#/components/schemas/Strategy/properties/minInvestingAmountCurrency"},"strategyAssets":{"type":"array","description":"A list of assets that are part of the strategy.","nullable":true,"items":{"$ref":"#/components/schemas/StrategyAsset"}},"cashWeights":{"type":"array","description":"A list of cash weights by currency in the strategy.","nullable":true,"items":{"$ref":"#/components/schemas/StrategyCashWeight"}}}},"StrategyTypeEnum":{"title":"StrategyTypeEnum","enum":["TOKENIZED","TRADITIONAL"],"description":"Type of the strategy."},"StrategyExecutionFrequencyEnum":{"title":"StrategyExecutionFrequencyEnum","enum":["BI_WEEKLY","MONTHLY","QUARTERLY","SEMI_ANNUALLY","ANNUALLY"],"description":"Indicates how often the strategy is rebalanced automatically."},"Strategy":{"properties":{"minInvestingAmountCurrency":{"title":"CurrencyEurEnum","enum":["EUR"],"description":"Currency code in ISO 4217. Required if automatedInvesting is true."}}},"StrategyAsset":{"title":"StrategyAsset","type":"object","description":"Model representing an asset weight in a strategy.","properties":{"weight":{"type":"number","description":"Shows the percentage allocation in the strategy for the asset.","minimum":1,"maximum":100},"isin":{"type":"string","description":"International Securities Identification Number. It is the global ISO standard for unique identification of financial and referential instruments.","minLength":12,"maxLength":12,"pattern":"^[A-Z]{2}[A-Z0-9]{10}$"},"cryptoSymbol":{"type":"string"}},"required":["weight"]},"StrategyCashWeight":{"title":"StrategyCashWeight","description":"Model representing an cash weight in a strategy.","type":"object","properties":{"cashWeight":{"type":"number","description":"Shows the percentage allocation in the strategy for cash.","minimum":1,"maximum":100},"cashCurrency":{"title":"CurrencyEnum","type":"string","description":"Currency code in ISO 4217.","enum":["EUR"]}},"required":["cashWeight","cashCurrency"]}}},"paths":{"/strategies/{strategyId}":{"patch":{"summary":"Update strategy","operationId":"patch-strategy","tags":["Strategies"],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Update a strategy by its ID.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategyUpdate"}}}}}}}}
```

## Add strategy subscriber

> Add a subscriber to the strategy.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"AddStrategySubscriberResult":{"title":"AddStrategySubscriberResult","type":"object","description":"The result of adding the subscriber to the strategy.","properties":{"strategySubscriberId":{"type":"string","format":"uuid","description":"The UUID of the newly created strategy subscriber."}},"required":["strategySubscriberId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StrategySubscriberData":{"title":"StrategySubscriberData","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"}},"required":["customerId"]},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]}}},"paths":{"/strategies/{strategyId}/subscribers":{"post":{"summary":"Add strategy subscriber","operationId":"add-strategy-subscriber","tags":["Strategies"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddStrategySubscriberResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Add a subscriber to the strategy.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategySubscriberData"}}}}}}}}
```

## Update all strategy subscribers

> Replaces all strategy subscribers with the new ones.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StrategySubscriberData":{"title":"StrategySubscriberData","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"}},"required":["customerId"]},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]}}},"paths":{"/strategies/{strategyId}/subscribers":{"patch":{"summary":"Update all strategy subscribers","operationId":"update-all-strategy-subscribers","tags":["Strategies"],"responses":{"202":{"description":"Accepted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Replaces all strategy subscribers with the new ones.","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StrategySubscriberData"}}}}}}}}}
```

## Remove all strategy subscribers

> Removes all subscribers from the strategy.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/strategies/{strategyId}/subscribers":{"delete":{"summary":"Remove all strategy subscribers","operationId":"remove-all-strategy-subscribers","tags":["Strategies"],"responses":{"202":{"description":"Strategy subscribers removed"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Removes all subscribers from the strategy."}}}}
```

## Remove strategy subscriber

> Removes a subscriber from the strategy.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/strategies/{strategyId}/subscribers/{subscriberId}":{"delete":{"summary":"Remove strategy subscriber","operationId":"remove-strategy-subscriber","tags":["Strategies"],"responses":{"202":{"description":"Strategy subscriber removed"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Removes a subscriber from the strategy."}}}}
```

## Update strategy subscriber

> Update a subscriber in the strategy.

```json
{"openapi":"3.0.0","info":{"title":"Strategy","version":"1.0"},"tags":[{"name":"Strategies","description":"Strategies"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"","refreshUrl":"","scopes":{}}}}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"StrategySubscriberUpdate":{"title":"StrategySubscriberUpdate","type":"object","description":"Subscribers for a given strategy.","properties":{"customerId":{"type":"string","format":"uuid","description":"ID of the customer."},"depositoryAccount":{"$ref":"#/components/schemas/SubscriberDepositoryAccount"},"wallet":{"$ref":"#/components/schemas/SubscriberWallet"},"settlementAccount":{"$ref":"#/components/schemas/SubscriberSettlementAccount"}}},"SubscriberDepositoryAccount":{"title":"SubscriberDepositoryAccount","description":"Is required if strategy has at least one asset identified by ISIN. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Depository Account of the customer."}},"required":["customerProductId"]},"SubscriberWallet":{"title":"SubscriberWallet","description":"Is required if strategy has at least one crypto asset. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Wallet of the customer."}},"required":["customerProductId"]},"SubscriberSettlementAccount":{"title":"SubscriberSettlementAccount","description":"Is required if strategy cash weight is > 0 and should match the strategy cash currency. But not required during subscriber update.","type":"object","properties":{"customerProductId":{"type":"string","format":"uuid","description":"Settlement Account of the customer."}},"required":["customerProductId"]}}},"paths":{"/strategies/{strategyId}/subscribers/{subscriberId}":{"patch":{"summary":"Update strategy subscriber","operationId":"update-strategy-subscriber","tags":["Strategies"],"responses":{"202":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Update a subscriber in the strategy.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrategySubscriberUpdate"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/asset-management/strategy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
